Bug 314486 - request to add Morocco holidays
Summary: request to add Morocco holidays
Status: RESOLVED FIXED
Alias: None
Product: kdepimlibs
Classification: Unclassified
Component: kholidays (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: John Layt
URL: http://www.maroc.ma/PortailInst/Fr/Me...
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-06 01:26 UTC by Yassine SAKOUM
Modified: 2013-04-17 18:33 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.10.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yassine SAKOUM 2013-02-06 01:26:31 UTC
Can you please add Morocco holidays ? 
If you understand frensh here is the government site :
http://www.maroc.ma/PortailInst/Fr/MenuGauche/Infos+pratiques/Agenda/Jours+f%C3%A9ri%C3%A9s+au+Maroc.htm
Otheriwise you can see them in wikipedia :
http://en.wikipedia.org/wiki/Public_holidays_in_Morocco

PS : the first 4 holidays in wikipedia (last 4 in the the government site) depends on Hijri calendar.

Reproducible: Always
Comment 1 Christophe Giboudeaux 2013-04-17 09:52:02 UTC
Please review the french version:
("weekend on..." means they will appear as days off)

: New Year's Day
"Jour de l'an"            weekend on january 1
: Proclamation of Independence
"Anniversaire du manifeste de l'indépendance" weekend on january 11
: Labour Day
"Fête du Travail"                   weekend on may 1
: Enthronement Day
"Fête du trone"                     weekend on july 30
: Oued Ed-Dahab Day
"Journée de Oued Ed-Dahab"          weekend on august 14
: Revolution of the King and the People
"Fête de la révolution du Roi et du peuple"     weekend on august 20
: Birthday of King Mohammed VI
"Anniversaire de sa majesté le roi Mohammed VI" weekend on august 21
: Green March
"Anniversaire de la Marche Verte"       weekend on november 6
: Independence day
"Fête de l'Indépendance"        weekend on november 18

:: Religious Holidays
: Islamic New Year
"Awal muharram"            weekend on hijri muharram 1
: Birthday of the Prophet Muhammad
"Mawlid nabaoui"         weekend on hijri rabialawal 12
: Eid el-Fitr (End of Ramadan)
"Aïd el-Fitr"                    weekend on hijri shawwal 1 length 2
: Eid al-Adha (End of the Hajj)
"Aïd El Adha"                    weekend on hijri thualhijjah 10 length 2
Comment 2 Laurent Montel 2013-04-17 10:21:12 UTC
"Fête du trone" weekend on july 30->"Fête du trône" weekend on july 30
                                                                      --------------------^
Otherwise all is ok for me
Comment 3 Christophe Giboudeaux 2013-04-17 10:32:40 UTC
More complicated now, the Arabic version. I couldn't find how to write 'Oued Ed-Dahab Day'

: New Year's Day
"رأس السنة الميلادية"            weekend on january 1
: Proclamation of Independence
"استقلال" weekend on january 11

: Labour Day
"عيد العمال"                   weekend on may 1
: Enthronement Day
"عيد العرش"                     weekend on july 30
: Oued Ed-Dahab Day
"Journée de Oued Ed-Dahab"          weekend on august 14
: Revolution of the King and the People
"ثورة الملك والشعب"     weekend on august 20
: Birthday of King Mohammed VI
"ميلاد صاحب الجلالة" weekend on august 21
: Green March
"مسيرة خضراء"       weekend on november 6
: Independence day
"عيد الاستقلال"        weekend on november 18

:: Religious Holidays
: Islamic New Year
"رأس السنة الهجرية"            weekend on hijri muharram 1
: Birthday of the Prophet Muhammad
"المولد النبوي"         weekend on hijri rabialawal 12
: Eid el-Fitr (End of Ramadan)
"عيد الفطر"                    weekend on hijri shawwal 1 length 2
: Eid al-Adha (End of the Hajj)
"عيد الأضحى"                    weekend on hijri thualhijjah 10 length 2
Comment 4 Christophe Giboudeaux 2013-04-17 11:56:16 UTC
@zayed, can you review comment#3 please?
Comment 5 Zayed Al-Saidi 2013-04-17 16:30:39 UTC
@ Christophe, please find the updated Arabic version. I depend on the offical Marocco website:
http://www.maroc.ma/PortailInst/Ar/MenuGauche/%D9%85%D8%B9%D9%84%D9%88%D9%85%D8%A7%D8%AA+%D8%B9%D9%85%D9%84%D9%8A%D8%A9/%D9%85%D8%B0%D9%83%D8%B1%D8%A9/%D8%A7%D9%84%D8%A3%D8%B9%D9%8A%D8%A7%D8%AF+%D8%A7%D9%84%D9%88%D8%B7%D9%86%D9%8A%D8%A9+%D9%88+%D8%A7%D9%84%D8%AF%D9%8A%D9%86%D9%8A%D8%A9.htm


: New Year's Day
"رأس السنة الميلادية"            weekend on january 1
: Proclamation of Independence
"تقديم وثيقة الاستقلال" weekend on january 11
 
: Labour Day
"عيد الشغل"                   weekend on may 1
: Enthronement Day
"عيد العرش"                     weekend on july 30
: Oued Ed-Dahab Day
"يوم وادي الذهب"          weekend on august 14
: Revolution of the King and the People
"ذكرى ثورة الملك والشعب"     weekend on august 20
: Birthday of King Mohammed VI
"عيد الشباب" weekend on august 21
: Green March
"ذكرى المسيرة الخضراء"       weekend on november 6
: Independence day
"عيد الاستقلال"        weekend on november 18
 
:: Religious Holidays
: Islamic New Year
"رأس السنة الهجرية"            weekend on hijri muharram 1
: Birthday of the Prophet Muhammad
"عيد المولد النبوي الشريف"         weekend on hijri rabialawal 12
: Eid el-Fitr (End of Ramadan)
"عيد الفطر"                    weekend on hijri shawwal 1 length 2
: Eid al-Adha (End of the Hajj)
"عيد الأضحى"                    weekend on hijri thualhijjah 10 length 2
Comment 6 Christophe Giboudeaux 2013-04-17 16:52:48 UTC
Thank you
Comment 7 Christophe Giboudeaux 2013-04-17 16:56:49 UTC
Git commit a90e0e2c6324d745c0485a8b8d374ee5658c4a8a by Christophe Giboudeaux.
Committed on 17/04/2013 at 18:55.
Pushed by cgiboudeaux into branch 'KDE/4.10'.

Add Public Holidays in Morocco
FIXED-IN: 4.10.3

A  +60   -0    kholidays/holidays/plan2/holiday_ma_ar
A  +61   -0    kholidays/holidays/plan2/holiday_ma_fr

http://commits.kde.org/kdepimlibs/a90e0e2c6324d745c0485a8b8d374ee5658c4a8a
Comment 8 Yassine SAKOUM 2013-04-17 18:33:04 UTC
I thank you all